<!DOCTYPE html>
<html class="h-100">
<head>
	<title><?php echo $layout['title'] ?></title>
	<meta charset="<?php echo CHARSET ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="robots" content="noindex,nofollow">
	<meta name="generator" content="Bludit">

	<!-- Favicon -->
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo HTML_PATH_CORE_IMG . 'favicon.png?version=' . BLUDIT_VERSION ?>">

	<!-- CSS -->
	<?php
		echo HTML::cssBootstrap();
		echo HTML::cssBootstrapIcons();
		echo HTML::cssSelect2();
		echo HTML::css(array(
			'01-bludit.css',
			'02-bootstrap-hacks.css'
		), DOMAIN_ADMIN_THEME_CSS);

		echo HTML::css(array(
			'jquery.datetimepicker.min.css',
			'jquery-ui.min.css',
			'tagsinput-revisited.min.css'
		), DOMAIN_CORE_CSS);

		if ($site->darkModeAdmin()) {
			echo HTML::css(array(
				'99-darkmode.css'
			), DOMAIN_ADMIN_THEME_CSS);
		} else {
			echo HTML::css(array(
				'99-lightmode.css'
			), DOMAIN_ADMIN_THEME_CSS);
		}
	?>

	<!-- Javascript -->
	<?php
	echo HTML::jquery();
	echo HTML::jsBootstrap();
	echo HTML::jsSortable();
	echo HTML::bootbox();
	echo HTML::jsSelect2();
	echo HTML::js(array(
		'jquery.datetimepicker.full.min.js',
		'jquery-ui.min.js',
		'tagsinput-revisited.min.js',
		'functions.js',
		'api.js'
	), DOMAIN_CORE_JS);
	?>

	<!-- Execute plugins for the admin area inside the HTML <head> tag -->
	<?php execPluginsByHook('adminHead') ?>
</head>

<body class="h-100">

	<!-- Execute plugins for the admin area inside the HTML <body> at the begginig -->
	<?php execPluginsByHook('adminBodyBegin') ?>

	<!-- Javascript global variable generated by PHP -->
	<?php include(PATH_CORE_JS . 'variables.php') ?>

	<div class="container-fluid p-0 m-0 d-flex flex-column h-100">

		<!-- Alerts -->
		<?php include('html/alerts.php') ?>
		<!-- End Alerts -->

		<!-- Top Navbar -->
		<div class="container-fluid p-0 bg-dark">
			<div class="container">
				<div class="row">
					<nav class="navbar navbar-dark p-1">
						<a class="navbar-brand" href="#">
							<img src="<?php echo DOMAIN_BASE ?>bl-kernel/img/logo.svg" alt="" width="30" height="24" class="d-inline-block align-top">
							Bludit
						</a>
					</nav>
				</div>
			</div>
		</div>
		<!-- End Top Navbar -->

		<!-- Main -->
		<div class="container h-100 flex-grow-1">
			<div class="row h-100 flex-grow-1">

				<!-- LEFT Main, display only on large devices -->
				<div class="sidebar col-lg-2 d-none d-lg-block mt-4">
					<?php include('html/sidebar.php'); ?>
				</div>

				<!-- RIGHT Main -->
				<div class="main col-lg-10 mt-2">
					<?php
					if (Sanitize::pathFile(PATH_ADMIN_VIEWS . $layout['view'] . '.php')) {
						include(PATH_ADMIN_VIEWS . $layout['view'] . '.php');
					} elseif ($layout['plugin'] && method_exists($layout['plugin'], 'adminView')) {
						echo $layout['plugin']->adminView();
					} else {
						echo '<h1 class="text-center">' . $L->g('Page not found') . '</h1>';
						echo '<h2 class="text-center">' . $L->g('Choose a page from the sidebar.') . '</h2>';
					}
					?>
				</div>
			</div>
		</div>
		<!-- End Main -->

	</div>

	<!-- Execute plugins for the admin area inside the HTML <body> at the end -->
	<?php execPluginsByHook('adminBodyEnd') ?>

</body>

</html>